//*****************************************************************************************************
//  1. t@C
//		SetConditionsDlg.cpp
//----------------------------------------------------------------------------------------------------
//  2. @\
//		CSetConditionsDlg NX̃Cve[V
//----------------------------------------------------------------------------------------------------
//  3. l
//----------------------------------------------------------------------------------------------------
//  4. 
//		2006.09.01 S.Aizawa(xxx) VK쐬
//*****************************************************************************************************

#include "stdafx.h"
#include "WorkScheduler.h"
#include "WorkSchedulerDlg.h"

#include "MenuDispCtrl.h"

#include "SetConditionsDlg001.h"
#include "SetConditionsDlg.h"
#include "SetSeisanJoken1Dlg.h"
#include "SetSeisanJoken2Dlg.h"
#include "SetKittingDlg.h"
#include "SetKyotsuKoteiDlg.h"
#include "KatashikiKiseiMatrixDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

//*****************************************************************************************************
//  1. ֐
//		CSetConditionsDlg::CSetConditionsDlg
//----------------------------------------------------------------------------------------------------
//  2. @\
//		RXgN^
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		CWnd		*pParent			[I] eEBhE
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//----------------------------------------------------------------------------------------------------
//  5. Tv
//		
//----------------------------------------------------------------------------------------------------
//  6. l
//----------------------------------------------------------------------------------------------------
//  7. 
//		2006.09.01 S.Aizawa(xxx) VK쐬
//*****************************************************************************************************
CSetConditionsDlg::CSetConditionsDlg(CWnd* pParent /*=NULL*/)
	: CSubMenuDlg(CSetConditionsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetConditionsDlg)
	//}}AFX_DATA_INIT
}


void CSetConditionsDlg::DoDataExchange(CDataExchange* pDX)
{
	CSubMenuDlg::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetConditionsDlg)
	DDX_Control(pDX, IDC_BUTTON_SET_SEISAN_JOKEN, m_cButtonSetSeisanJoken);
	DDX_Control(pDX, IDC_BUTTON_SET_LINE_KISEI, m_cButtonSetLineKisei);
	DDX_Control(pDX, IDC_BUTTON_SET_KYOTU_KOTEI, m_cButtonSetKyotsuKotei);
	DDX_Control(pDX, IDC_BUTTON_SET_KATASHIKI_KISEI, m_cButtonSetKatashikiKisei);
	DDX_Control(pDX, IDC_BUTTON_SET_KITTING, m_cButtonSetKitting);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSetConditionsDlg, CSubMenuDlg)
	//{{AFX_MSG_MAP(CSetConditionsDlg)
	ON_BN_CLICKED(IDC_BUTTON_SET_KITTING, OnButtonSetKitting)
	ON_BN_CLICKED(IDC_BUTTON_SET_SEISAN_JOKEN, OnButtonSetSeisanJoken)
	ON_BN_CLICKED(IDC_BUTTON_SET_LINE_KISEI, OnButtonSetLineKisei)
	ON_BN_CLICKED(IDC_BUTTON_SET_KATASHIKI_KISEI, OnButtonSetKatashikiKisei)
	ON_BN_CLICKED(IDC_BUTTON_SET_KYOTU_KOTEI, OnButtonSetKyotuKotei)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

//*****************************************************************************************************
//  1. ֐
//		CSetConditionsDlg::OnInitDialog
//----------------------------------------------------------------------------------------------------
//  2. @\
//		_CAO
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		BOOL		TRUE
//----------------------------------------------------------------------------------------------------
//  5. Tv
//		{^̐Fݒ肵A{^LB
//----------------------------------------------------------------------------------------------------
//  6. l
//----------------------------------------------------------------------------------------------------
//  7. 
//		2006.09.01 S.Aizawa(xxx) VK쐬
//*****************************************************************************************************
BOOL CSetConditionsDlg::OnInitDialog()
{
	CSubMenuDlg::OnInitDialog();

// Modify ... ( ADD )
	g_pSystem->m_cMenuDisp.SetMenuText( this, Menu_SetConditionsDlg );
// By Y.Itabashi (xxxxx) 2007.01.24

	// {^̐Fݒ
	m_cButtonSetSeisanJoken.SetBackGroundColor(COLOR_SUBMENU_BUTTON);
	m_cButtonSetKitting.SetBackGroundColor(COLOR_SUBMENU_BUTTON);
	m_cButtonSetLineKisei.SetBackGroundColor(COLOR_SUBMENU_BUTTON);
	m_cButtonSetKatashikiKisei.SetBackGroundColor(COLOR_SUBMENU_BUTTON);
	m_cButtonSetKyotsuKotei.SetBackGroundColor(COLOR_SUBMENU_BUTTON);

	// j[L
	g_pSystem->EnableMenu();

// Modify ... ( ADD )
	// UP4pW[
//	GetDlgItem( IDC_BUTTON_SET_KITTING )->EnableWindow( FALSE );
// By Y.Itabashi (xxxxx) 2007.02.22

	return TRUE;
}

//*****************************************************************************************************
//  1. ֐
//		CSetConditionsDlg::OnButtonSetSeisanJoken
//----------------------------------------------------------------------------------------------------
//  2. @\
//		Yݒ{^NbN
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//----------------------------------------------------------------------------------------------------
//  5. Tv
//		Yݒ_CAO\B
//----------------------------------------------------------------------------------------------------
//  6. l
//----------------------------------------------------------------------------------------------------
//  7. 
//		2006.09.01 S.Aizawa(xxx) VK쐬
//*****************************************************************************************************
void CSetConditionsDlg::OnButtonSetSeisanJoken()
{
	CWorkSchedulerDlg *pMainWnd = (CWorkSchedulerDlg *)AfxGetMainWnd();

	// CEBhẼTuj[Xe[^XZbg
	pMainWnd->SetSubMenuStatus(m_cButtonSetSeisanJoken);

	// Y䐔o^_CAO\
	if (g_pSystem->m_cUserInfo.m_nJokenSetteiSosa == 1) {
		CSetSeisanJoken1Dlg dlg;
		dlg.DoModal();
	} else {
		CSetSeisanJoken2Dlg dlg;
		dlg.DoModal();
	}

	// j[L
	g_pSystem->EnableMenu();

	// CEBhẼTuj[Xe[^X
	pMainWnd->ClearSubMenuStatus();
}

//*****************************************************************************************************
//  1. ֐
//		CSetConditionsDlg::OnButtonSetKitting
//----------------------------------------------------------------------------------------------------
//  2. @\
//		Lbgݒ{^NbN
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//----------------------------------------------------------------------------------------------------
//  5. Tv
//		Lbgݒ_CAO\BɃLbgĂꍇ͉B
//----------------------------------------------------------------------------------------------------
//  6. l
//----------------------------------------------------------------------------------------------------
//  7. 
//		2006.09.01 S.Aizawa(xxx) VK쐬
//*****************************************************************************************************
void CSetConditionsDlg::OnButtonSetKitting()
{
	CWorkSchedulerDlg *pMainWnd = (CWorkSchedulerDlg *)AfxGetMainWnd();

	// CEBhẼTuj[Xe[^XZbg
	pMainWnd->SetSubMenuStatus(m_cButtonSetKitting);

	// Undoobt@Zbg
	g_pDataManager->ResetUndoBuf();

	// Lbgݒ_CAO\
	CSetKittingDlg dlg;
	dlg.DoModal();

	// j[L
	g_pSystem->EnableMenu();

	// CEBhẼTuj[Xe[^X
	pMainWnd->ClearSubMenuStatus();
}

void CSetConditionsDlg::OnButtonSetLineKisei()
{
	g_pDataManager->OpenLineKiseiMatrix();
}

void CSetConditionsDlg::OnButtonSetKatashikiKisei()
{
	CKatashikiKiseiMatrixDlg dlg;
	if (dlg.DoModal() == IDOK)
		g_pDataManager->OpenKatashikiKiseiMatrix();
}

void CSetConditionsDlg::OnButtonSetKyotuKotei()
{
	CWorkSchedulerDlg *pMainWnd = (CWorkSchedulerDlg *)AfxGetMainWnd();

	// CEBhẼTuj[Xe[^XZbg
	pMainWnd->SetSubMenuStatus(m_cButtonSetKyotsuKotei);

	// Undoobt@Zbg
	g_pDataManager->ResetUndoBuf();

	// ʍHݒ_CAO\
	CSetKyotsuKoteiDlg dlg;
	dlg.DoModal();

	// j[L
	g_pSystem->EnableMenu();

	// CEBhẼTuj[Xe[^X
	pMainWnd->ClearSubMenuStatus();
}

//*****************************************************************************************************
//  1. ֐
//		CSetConditionsDlg::EnableMenuButton
//----------------------------------------------------------------------------------------------------
//  2. @\
//		j[{^̗Lݒ
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//----------------------------------------------------------------------------------------------------
//  5. Tv
//		ݒԂɂTuj[̃{^LB
//----------------------------------------------------------------------------------------------------
//  6. l
//----------------------------------------------------------------------------------------------------
//  7. 
//		2006.09.01 S.Aizawa(xxx) VK쐬
//*****************************************************************************************************
void CSetConditionsDlg::EnableMenuButton()
{
	m_cButtonSetLineKisei.EnableWindow(!g_pDataManager->m_bOpenLineKiseiMatrix);
	m_cButtonSetKatashikiKisei.EnableWindow(!g_pDataManager->m_bOpenKatashikiKiseiMatrix);
}
